System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Net.WebResponse System.IDisposable System.Runtime.Serialization.ISerializable

The class implements the abstract base class to return file system resources for the class.

Client applications do not create instances directly; instead, they are created by calling the method on a instance.

The method returns a instance that provides read-only access to a file system resource.

The class relies on the class for error handling and code access security.

Provides a file system implementation of the class.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Obsolete("Serialization is obsoleted for this type", false)

  This constructor implements the interface for the class.

  Initializes a new instance of the class from the specified instances of the and classes.

  A instance that contains the information required to serialize the new instance.
  An instance of the class that contains the source of the serialized stream associated with the new instance.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void

  The method cleans up the resources used by a and closes the response stream by calling the method.

  The response stream must be closed to avoid running out of system resources. You can closes the response stream by calling either or

  Closes the response stream.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int64 To be added: an object of type 'long'

  The property contains the length, in bytes, of the file system resource.

  Gets the length of the content in the file system resource.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added: an object of type 'string'

  The property contains the content type of the file system resource. The value of is always "binary/octet-stream".

  Gets the content type of the file system resource.

- Method
  1.0.5000.0
  4.0.0.0
  System.Void ``

  This method is called by the public Dispose method derived from the and is called by the method. The public Dispose method invokes the protected method with the parameter set to true. invokes the protected method with the parameter set to false.

  When the parameter is true, this method releases all resources held by any managed objects that this references. This method invokes the Dispose method derived from of each referenced object.

  Releases the unmanaged resources used by the and optionally releases the managed resources.

  true to release both managed and unmanaged resources; false to release only unmanaged resources.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  Any objects included in the are automatically tracked and serialized by the formatter.

  Populates a with the data needed to serialize the target object.

  The to populate with data. A that specifies the destination for this serialization.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.IO.Stream

  The method returns the data stream from the file system resource.

  The response stream must be closed to avoid running out of system resources. The response stream can be closed by calling or

  Returns the data stream from the file system resource.

  A for reading data from the file system resource.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.WebHeaderCollection To be added: an object of type 'WebHeaderCollection'

  The property contains two name/value pairs, one for content length and one for content type, both of which are also exposed as properties, and .

  Gets a collection of header name/value pairs associated with the response.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Uri To be added: an object of type 'Uri'

  The property contains the URI of the file system resource that provided the response. This is always the file system resource that was requested.

  Gets the URI of the file system resource that provided the response.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void

  Call when you are finished using the . The method leaves the in an unusable state. After calling , you must release all references to the so the garbage collector can reclaim the memory that the was occupying. For more information, see Cleaning Up Unmanaged Resources and Implementing a Dispose Method.

  Always call before you release your last reference to the . Otherwise, the resources it is using will not be freed until the garbage collector calls the object's Finalize method.

  Releases all resources used by the .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added.

  Populates a instance with the data needed to serialize the .

  A , which will hold the serialized data for the . A containing the destination of the serialized stream associated with the new .